/************************************************
* ARQUITECTURA DE REDES 2 			*
* PRACTICA 2: PROTOCOLO ARP e IP	 	*
*						*
* Fichero: ip.c					*
* Autor: Julio Magro Sastre 			*
* Fecha: Abril 2014 				*
************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <pthread.h>
#include <unistd.h>

#include "nivel1.h"
#include "arp.h"
#include "rc_funcs.h"
#include "ip.h"

/*
typedef struct {
    BYTE ttl;
    BYTE df;
    BYTE tos;
    BYTE extra[IP_HLEN_MAX - IP_HLEN_MIN];
    unsigned short elen;
} op_ip;
*/

/* FUNCION INTERRUPCION DESDE NIVEL IP A UN PROTOCOLO INFERIOR */

/*
typedef int (*pf_notificacion_ip) (BYTE *dir_ip_origen, unsigned int tamano, 
    BYTE *datos, op_ip *opciones);
*/


// Variable global con IP de esta maquina:
// 	extern BYTE dir_ip_local[IP_ALEN]





/**********************
* PROTOTIPOS PUBLICOS *
**********************/

int ip_inicializa() {

	// Inicializa nivel IP tras inicializar todos los superiores
 	// (nivel1 y ARP); llamar antes de usar otras funciones de ip.h.

	//Lee IPMASK e IPROUTER (variables entorno) para inicializar
 	//direcciones de red. Inicializa ARP, 'IPLOCAL'.
 	//Se puede llamar muchas veces sin efectos adversos.

}


int ip_finaliza() {

	//Desinicializa IP: debe llamarse para LIBERAR CUALQUIER RECURSO
 	//que pudiera estar reservado EN ESTE NIVEL.

}


int ip_registra_protocolo(BYTE protocolo, pf_notificacion_ip callback){

 	//Registra un protocolo de nivel inferior.
  	//Cuando registra correctamente, el modulo IP llama al callback
 	//suministrado cada vez que reciba un datagrama del tipo
	//correspondiente.

 	//callback: funcion a llamar con el datagrama recibido

}


int ip_envia_datagrama(BYTE protocolo, BYTE *dir_ip_destino, unsigned int tamano, BYTE *datos, op_ip *opciones){

 	//Envia datagrama a otro host
	//protocolo: protocolo de nivel inferior al que
	//corresponde el datagrama.
 	
 	//opciones:
 	// 	NULL => TTL=64 TOS=0 DF=1
}
