// *************************************************************************
// Include: trazas                    Versin : 1.0.2     FECHA : 19/oct/01
//
// Descripcin :
//   Funciones bsicas para realizar trazas 
//
// Autor : Antonio E. Martnez                            Fecha : 14/jul/00
// Centro: UAM - II
//
// Cambios:
//   * 21/11/2000. V 1.0.1. Antonio Martnez
//	- Introducido semforo para evitar reentradas en las funciones
//   * 19/10/2001. V 1.0.2. Antonio Martnez
//      - Convertido parmetro de DumpMemAscii a unsigned char
// *************************************************************************

#ifndef TRAZASH
#define TRAZASH

#include <stdio.h>

void PrintTimeStamp(FILE * st);

// *************************************************************************
// Funcin : PrintTimeStamp
//
// Descripcin: Imprime en el fichero de trazas la hora, minuto y segundo en
//    que se realiza la traza.
//
// Parmetros:
//    FILE * st: Fichero de salida donde volcar los datos.
// *************************************************************************

void DumpMemAscii(FILE * st, unsigned char * datos, short longitud);

// *************************************************************************
// Funcin : DumpMemAscii
//
// Descripcin: Hace un dump de la zona de memoria apuntada por datos.
//    Visualiza la zona de memoria en hexadecimal y en ASCII
//
// Parmetros:
//    FILE * st: Fichero de salida donde volcar los datos.
//    unsigned char * datos: Puntero a la zona de memoria a visualizar.
//    short longitud: Nmero de bytes a visualizar.
// *************************************************************************

#endif
